@extends('admin.layout')

@section('content')
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h5>企业咨询</h5>
                    <div class="ibox-tools">
                        <a class="collapse-link"> <i class="fa fa-chevron-up"></i>
                        </a>
                    </div>
                </div>
                <div class="ibox-content">
                    <div class="row">
                        <form method="GET" action="" accept-charset="UTF-8">

                            <div class="col-sm-4">
                                <div class="input-group">
                                    <input type="text" value="{{Request::get('keyword')}}" placeholder="请输入关键词"
                                           name="keyword" class="input-sm form-control">
                                    <span class="input-group-btn">
									<button type="submit" class="btn btn-sm btn-primary">搜索</button>
								</span>
                                </div>
                            </div>
                        </form>
                        @if(role('Business/Service/create'))
                            <div class="col-sm-3 pull-right">
                                <a href="{{ U('Business/Service/create')}}"
                                   class="btn btn-sm btn-primary pull-right">添加</a>
                            </div>
                        @endif
                    </div>

                    <table class="table table-striped table-bordered table-hover dataTables-example dataTable">
                        <thead>
                        <tr>

                            <th class="sorting" data-sort="id"> ID</th>
                            <th class="sorting" data-sort="company"> 公司</th>
                            <th class="sorting" data-sort="username"> 联系人姓名</th>
                            <th class="sorting" data-sort="phone"> 联系人电话</th>
                            <th class="sorting" data-sort="comment"> 拍摄要求</th>
                            <th class="sorting" data-sort="email"> 邮箱</th>
                            <th class="sorting" data-sort="created_at"> 发起时间</th>
                            <th class="sorting" data-sort="status"> 状态：0：未回复；1：已回复</th>
                            <th width="22%">相关操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @if(isset($list))
                            @foreach($list as $key => $item)
                                <tr>

                                    <td>{{ $item->id }}</td>
                                    <td>{{ $item->company }}</td>
                                    <td>{{ $item->username }}</td>
                                    <td>{{ $item->phone }}</td>
                                    <td>{{ $item->comment }}</td>
                                    <td>{{ $item->email }}</td>
                                    <td>{{ $item->created_at}}</td>
                                    <td>@if($item->status == 0)<span class="label label-danger">未回复</span>@else<span class="label label-success">已回复</span>@endif</td>
                                    <td>
                                        @if($item->status == 0)
                                            <button onclick="window.location.href='{{ U('Business/Service/status',['id'=>$item->id])}}'"
                                                    class="btn btn-success">设为已回复
                                            </button>
                                        @endif
                                        @if(role('Business/Service/view'))
                                            <button onclick="layer.open({type: 2,area: ['80%', '90%'],content: '{{ U('Business/Service/view',['id'=>$item->id])}}'});"
                                                    class="btn btn-primary ">查看
                                            </button>
                                        @endif
                                    </td>
                                </tr>
                            @endforeach
                        @endif

                        </tbody>
                    </table>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="dataTables_info" id="DataTables_Table_0_info"
                                 role="alert" aria-live="polite" aria-relevant="all">每页{{ $list->count() }}
                                条，共{{ $list->lastPage() }}页，总{{ $list->total() }}条。
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate">
                                {!! $list->setPath('')->appends(Request::all())->render() !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection